# frozen_string_literal: true

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'bond_calculator/version'

Gem::Specification.new do |spec|
  spec.name          = 'bond_calculator'
  spec.version       = BondCalculator::VERSION
  spec.authors       = ['Lucas Sant Anna']
  spec.email         = ['l.minota@gmail.com']
  spec.summary       = 'Ruby Best Bond Calculator'
  spec.description   = 'Calculate the best bond'
  spec.homepage      = 'http://lucassantanna.com'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.required_ruby_version = ['>= 2.4.0']

  spec.add_development_dependency 'bundler', '~> 1.7'
  spec.add_development_dependency 'minitest-reporters', '~> 1.1', '>= 1.1.13'
  spec.add_development_dependency 'minitest', '~> 5.8', '>= 5.8.4'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'pry'
  spec.add_development_dependency 'rubocop', '~> 0.50.0'
end
