# frozen_string_literal: true

require 'test_helper'

describe 'BaseCalculator#csv_to_bonds' do
  it 'return bonds when parse the bond csv' do
    c1 = File.join(File.dirname(__FILE__), '../fixtures/c1.csv')
    bonds = BondCalculator::BaseCalculator.new.csv_to_bonds(c1)
    assert !bonds.nil?
  end

  it 'return error when file empty' do
    assert_raises(Errno::ENOENT) { BondCalculator::BaseCalculator.new.csv_to_bonds('') }
  end
end

describe 'BaseCalculator#bond_by_type' do
  c1 = File.join(File.dirname(__FILE__), '../fixtures/c1.csv')
  let(:bonds) { BondCalculator::BaseCalculator.new.csv_to_bonds(c1) }

  it 'return all bonds for an expecific type' do
    gov = BondCalculator::BaseCalculator.new.bonds_by_type('government', bonds)
    assert !gov.nil?
    assert !gov.empty?
  end

  it 'return empty when type is null' do
    gov = BondCalculator::BaseCalculator.new.bonds_by_type(nil, bonds)
    assert gov.nil?
  end
end
