# frozen_string_literal: true

require 'test_helper'

describe 'Bond#new' do
  it 'create bond with all parameters passed' do
    bond = BondCalculator::Bond.new(
      'type' => 'corporate',
      'bond' => 'c1',
      'term' => '10.3 years',
      'yield' => '5.3 %'
    )

    assert !bond.nil?
    assert_equal bond.type, 'corporate'
    assert_equal bond.name, 'c1'
    assert_equal bond.term_years, 10.3
    assert_equal bond.yield_percent, 5.3
  end

  it 'thow ArgumentError parameters not passed' do
    assert_raises(ArgumentError) { BondCalculator::Bond.new }
  end
end
